curl --request PUT \
--url https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId} \
--header 'Content-Type: application/json' \
--data '
{
"scope": "selected",
"userIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groupIds": [
"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f"
]
}
'import requests
url = "https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}"
payload = {
"scope": "selected",
"userIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"groupIds": ["7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f"]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
scope: 'selected',
userIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
groupIds: ['7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f']
})
};
fetch('https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'scope' => 'selected',
'userIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'groupIds' => [
'7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}"
payload := strings.NewReader("{\n \"scope\": \"selected\",\n \"userIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"groupIds\": [\n \"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}")
.header("Content-Type", "application/json")
.body("{\n \"scope\": \"selected\",\n \"userIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"groupIds\": [\n \"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": \"selected\",\n \"userIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"groupIds\": [\n \"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"delegation": {
"machineIdentity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"scope": "selected",
"users": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"addedAt": "2023-11-07T05:31:56Z",
"missingAccessBundles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
],
"groups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"addedAt": "2023-11-07T05:31:56Z",
"missingAccessBundles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"missingAccessBundles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Set delegation
Set which users a machine identity can start Agent Vault sessions on behalf of, replacing any delegation it has
curl --request PUT \
--url https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId} \
--header 'Content-Type: application/json' \
--data '
{
"scope": "selected",
"userIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groupIds": [
"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f"
]
}
'import requests
url = "https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}"
payload = {
"scope": "selected",
"userIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"groupIds": ["7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f"]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
scope: 'selected',
userIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
groupIds: ['7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f']
})
};
fetch('https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'scope' => 'selected',
'userIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'groupIds' => [
'7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}"
payload := strings.NewReader("{\n \"scope\": \"selected\",\n \"userIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"groupIds\": [\n \"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}")
.header("Content-Type", "application/json")
.body("{\n \"scope\": \"selected\",\n \"userIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"groupIds\": [\n \"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://us.infisical.com/api/v1/agent-vault/delegations/{machineIdentityId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": \"selected\",\n \"userIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"groupIds\": [\n \"7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"delegation": {
"machineIdentity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"scope": "selected",
"users": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"addedAt": "2023-11-07T05:31:56Z",
"missingAccessBundles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
],
"groups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"addedAt": "2023-11-07T05:31:56Z",
"missingAccessBundles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"missingAccessBundles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Path Parameters
The ID of the machine identity the delegation belongs to.
Query Parameters
The ID of the Agent Vault project.
1 - 36Body
Which users the machine identity can start sessions on behalf of: every member of the project (all-members), or only the users and the members of the groups in the delegation (selected).
all-members, selected "selected"
The users the machine identity can act on behalf of, up to 100. Each must be a member of the Agent Vault project. Only allowed when the scope is selected.
100["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
The groups whose members the machine identity can act on behalf of, up to 100. Each must be a member of the Agent Vault project. Only allowed when the scope is selected.
100["7b1e4f2a-9c3d-4a6b-8e5f-1d2c3b4a5e6f"]
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?